Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225450 - cron file permission problem
Summary: cron file permission problem
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: John Berninger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 18:01 UTC by Patrick Monnerat
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-31 22:09:31 UTC


Attachments (Terms of Use)

Description Patrick Monnerat 2007-01-30 18:01:19 UTC
Description of problem:
Wrong permission bits set for /etc/cron.d/bugzilla

Version-Release number of selected component (if applicable):
2.22.10-fc6

How reproducible:
Always

Steps to Reproduce:
1. Install bugzilla, make it operational
2. Check periodically /var/log/cron, or wait for logwatch mail: an error (see 
below) is issued.
  
Actual results:
Lines like the one below are logged to /var/log/cron:
Jan 29 10:33:01 machine crond(2611): (*system*) BAD FILE MODE 
(/etc/cron.d/bugzilla)

Such lines are extracted by logwatch and mailed nightly

Expected results:
No error ==> no log


Additional info:
According to other files /etc/cron.d, file permissions ought to be 600, not 755

Comment 1 John Berninger 2007-01-31 22:09:31 UTC
perms changed to 0600 in new packages


Note You need to log in before you can comment on or make changes to this bug.